[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible Debian: add check for writeable /tmp

Holger Levsen holger at layer-acht.org
Tue Jun 13 21:49:12 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 8bc040c70b0ef8655495dc741c0cb3eb3152f9ed
Author: Holger Levsen <holger at layer-acht.org>
Date:   Tue Jun 13 23:48:43 2017 +0200

    reproducible Debian: add check for writeable /tmp
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/reproducible_node_health_check.sh | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/bin/reproducible_node_health_check.sh b/bin/reproducible_node_health_check.sh
index 6f6f71b..9936a0f 100755
--- a/bin/reproducible_node_health_check.sh
+++ b/bin/reproducible_node_health_check.sh
@@ -38,6 +38,17 @@ show_fstab_and_mounts() {
 set -e
 
 #
+# is the filesystem writetable?
+#
+echo "$(date -u) - testing whether /tmp is writable..."
+$TEST=$(mktemp --tmpdir=/tmp rwtest-XXXXXX)
+if [ -z "$TEST" ] ; then
+	echo "Failure to write a file in /tmp, assuming read-only filesystem."
+	exit 1
+fi
+rm $TEST > /dev/null
+
+#
 # check for /dev/shm being mounted properly
 #
 echo "$(date -u) - testing whether /dev/shm is mounted correctly..."

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list